Get features configuration
GET /api
Gets the features configuration of the current instance
Response
200 — The requested features configuration
DefaultPowerShellEditionstringHelpSidebarSupportLinkstringHelpSidebarSupportLinkLabelstringIdstring
Gets or sets a unique identifier for this resource.IsAutomaticStepUpdatesEnabledbooleanIsBuiltInWorkerEnabledbooleanIsCommunityActionTemplatesEnabledbooleanIsCompositeDockerHubRegistryFeedEnabledbooleanIsConfigureFeedsWithLocalOrSmbPathsEnabledbooleanIsExperimentalUIFeatureEnabledbooleanIsGitHubAppEnabledbooleanIsHelpSidebarEnabledbooleanIsKubernetesCloudTargetDiscoveryEnabledbooleanIsProjectsPageOnboardingEnabledbooleanIsProjectsPageOptimizationEnabledbooleanIsWebhookTriggerEnabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"DefaultPowerShellEdition": "string",
"HelpSidebarSupportLink": "string",
"HelpSidebarSupportLinkLabel": "string",
"Id": "string",
"IsAutomaticStepUpdatesEnabled": true,
"IsBuiltInWorkerEnabled": true,
"IsCommunityActionTemplatesEnabled": true,
"IsCompositeDockerHubRegistryFeedEnabled": true,
"IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
"IsExperimentalUIFeatureEnabled": true,
"IsGitHubAppEnabled": true,
"IsHelpSidebarEnabled": true,
"IsKubernetesCloudTargetDiscoveryEnabled": true,
"IsProjectsPageOnboardingEnabled": true,
"IsProjectsPageOptimizationEnabled": true,
"IsWebhookTriggerEnabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Update features configuration
PUT /api
Updates the features configuration of the current instance
Request Body
DefaultPowerShellEditionstring
Default PowerShell edition for deployments and runbooks.HelpSidebarSupportLinkstring
Enable help sidebar support link feature.HelpSidebarSupportLinkLabelstring
Custom label for the help sidebar support link.Idstring
The id of features configuration resource.IsAutomaticStepUpdatesEnabledboolean
Enable automatic step updates feature.IsBuiltInWorkerEnabledboolean
Enable built-in worker feature.IsCommunityActionTemplatesEnabledboolean
Enable community action templates feature.IsCompositeDockerHubRegistryFeedEnabledboolean
Enable composite DockerHub registry feed feature.IsConfigureFeedsWithLocalOrSmbPathsEnabledboolean
Enable local or SMB paths for feeds feature.IsExperimentalUIFeatureEnabledboolean
Enable experimental UI feature.IsGitHubAppEnabledboolean
Enable the Octopus Deploy GitHub App.IsHelpSidebarEnabledboolean
Enable help sidebar feature.IsKubernetesCloudTargetDiscoveryEnabledboolean
Enable Kubernetes cloud target discovery feature.IsNavigationVisualUpliftEnabledboolean
Enable navigation visual uplift feature.IsProjectsPageOnboardingEnabledboolean
Enable projects page onboarding experience.IsProjectsPageOptimizationEnabledboolean
Enable new project page bff datasource.IsWebhookTriggerEnabledboolean
Enable the webhook triggers feature.
Response
200 — Confirmation that features configuration has been updated, containing the new configuration
DefaultPowerShellEditionstringHelpSidebarSupportLinkstringHelpSidebarSupportLinkLabelstringIdstring
Gets or sets a unique identifier for this resource.IsAutomaticStepUpdatesEnabledbooleanIsBuiltInWorkerEnabledbooleanIsCommunityActionTemplatesEnabledbooleanIsCompositeDockerHubRegistryFeedEnabledbooleanIsConfigureFeedsWithLocalOrSmbPathsEnabledbooleanIsExperimentalUIFeatureEnabledbooleanIsGitHubAppEnabledbooleanIsHelpSidebarEnabledbooleanIsKubernetesCloudTargetDiscoveryEnabledbooleanIsProjectsPageOnboardingEnabledbooleanIsProjectsPageOptimizationEnabledbooleanIsWebhookTriggerEnabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Request
JSON
{
"DefaultPowerShellEdition": "string",
"HelpSidebarSupportLink": "string",
"HelpSidebarSupportLinkLabel": "string",
"Id": "string",
"IsAutomaticStepUpdatesEnabled": true,
"IsBuiltInWorkerEnabled": true,
"IsCommunityActionTemplatesEnabled": true,
"IsCompositeDockerHubRegistryFeedEnabled": true,
"IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
"IsExperimentalUIFeatureEnabled": true,
"IsGitHubAppEnabled": true,
"IsHelpSidebarEnabled": true,
"IsKubernetesCloudTargetDiscoveryEnabled": true,
"IsNavigationVisualUpliftEnabled": true,
"IsProjectsPageOnboardingEnabled": true,
"IsProjectsPageOptimizationEnabled": true,
"IsWebhookTriggerEnabled": true
}Example Response
JSON
{
"DefaultPowerShellEdition": "string",
"HelpSidebarSupportLink": "string",
"HelpSidebarSupportLinkLabel": "string",
"Id": "string",
"IsAutomaticStepUpdatesEnabled": true,
"IsBuiltInWorkerEnabled": true,
"IsCommunityActionTemplatesEnabled": true,
"IsCompositeDockerHubRegistryFeedEnabled": true,
"IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
"IsExperimentalUIFeatureEnabled": true,
"IsGitHubAppEnabled": true,
"IsHelpSidebarEnabled": true,
"IsKubernetesCloudTargetDiscoveryEnabled": true,
"IsProjectsPageOnboardingEnabled": true,
"IsProjectsPageOptimizationEnabled": true,
"IsWebhookTriggerEnabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}